complexType "AdjustedRelativeDateOffset"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier, period, dayType?, businessDayConvention?, (businessCentersReference | businessCenters)?, dateRelativeTo?, adjustedDate?, relativeDateAdjustments?
</...>

Content Model Elements (9):

  adjustedDate (defined in RelativeDateOffset complexType),
  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCentersReference,
  businessDayConvention (defined in RelativeDateOffset complexType),
  dateRelativeTo (defined in RelativeDateOffset complexType),
  dayType (defined in Offset complexType),
  period (defined in Period complexType),
  periodMultiplier (defined in Period complexType),
  relativeDateAdjustments

All Direct / Indirect Based Elements (1):

  relativeEffectiveDate

Known Usage Locations

- As direct type of elements (1):
  relativeEffectiveDate

Annotation
A type defining a date (referred to as the derived date) as a relative offset from another date (referred to as the anchor date) plus optional date adjustments.
Type Definition Detail

Type Derivation Tree Period (extension) Offset (extension) RelativeDateOffset (extension) AdjustedRelativeDateOffset

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="AdjustedRelativeDateOffset"> <xsd:complexContent> <xsd:extension base="RelativeDateOffset"> <xsd:sequence> <xsd:element minOccurs="0" name="relativeDateAdjustments" type="BusinessDayAdjustments"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/9)
relativeDateAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention and financial business centers used for adjusting the relative date if it would otherwise fall on a day that is not a business date in the specified business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeDateAdjustments" type="BusinessDayAdjustments"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.